<%@page import="java.util.ArrayList, digital_home.*, digital_home.db.*, digital_home.rmi.*, java.security.cert.*, java.util.StringTokenizer"%>

<%
	String serviceName = "pictureDownload";
%>

<%@include file="top.jsp" %>

<script language="javascript" type="text/javascript">

	/* Create a new XMLHttpRequest object to talk to the Web server */
	var xmlHttp = false;
	var fileName = "chambord1";
	var fileType = "jpg";
	var lastSelected = "chambord1";
	
<%
	out.println("var username=\""+ username + "\";");
%>
		
	try {
	  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
	  try {
	    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e2) {
	    xmlHttp = false;
	  }
	}

	if (!xmlHttp && typeof XMLHttpRequest != 'undefined') {
	  xmlHttp = new XMLHttpRequest();
	}

		
	function callServer() {

		// Build the URL to connect to
	  	var url = "../pictureServiceRMI.jsp?fileName=" + escape(fileName) + 
    	"&fileType=" + escape(fileType) + "&username=" + escape(username);

		// Open a connection to the server
		xmlHttp.open("GET", url, true);

		// Setup a function for the server to run when it's done
		xmlHttp.onreadystatechange = updatePage;

		// Send the request
		xmlHttp.send(null);
	}
    	
    function updateThumbnail(name, type) {
    	fileName = name;
		fileType = type;
    	var thumbnail = "../Images/PictureService/thumb_" + fileName + "." + fileType;
    	document.getElementById("thumbImage").src = thumbnail;
    	document.getElementById("downloadStatus").innerHTML = "&nbsp;";
    	
    	document.getElementById(lastSelected).className = "button";
    	document.getElementById(name).className = "button_hilite";
    	lastSelected = name;
    }

	function updatePage() {
		if (xmlHttp.readyState == 4) {
			if (xmlHttp.status == 200) {
		  		var response = trimString(xmlHttp.responseText);
		  		
		  		if(response == "true") { 
		  			document.getElementById("downloadStatus").innerHTML = "Bildet er lastet ned.";
		  			setConnectedStatus("true");
		  		} else if (response == "false") {
		  			document.getElementById("downloadStatus").innerHTML = "Ditt Media Center er ikke tilkoblet.";
		  			setConnectedStatus("false");
		  		} else {
		  			document.getElementById("downloadStatus").innerHTML = "Feil oppstod.";
		  		}
		  	}
		}
	}
	
	function trimString(sInString) {
  		sInString = sInString.replace( /^\s+/g, "" );// strip leading
  		return sInString.replace( /\s+$/g, "" );// strip trailing
	}
	
	
</script>

<%
	if (isOnline) {
%>

<table>
	<tr>
		<!-- List of pictures -->
		<td>
			<table>
				<tr><td id="chambord1" class="button_hilite" onClick="updateThumbnail('chambord1', 'jpg')">chambord1.jpg</td></tr>
				<tr><td id="chambord2" class="button" onClick="updateThumbnail('chambord2', 'jpg')">chambord2.jpg</td></tr>
				<tr><td id="coste_perrier" class="button" onClick="updateThumbnail('coste_perrier', 'jpg')">coste_perrier.jpg</td></tr>
				<tr><td id="elefant1" class="button" onClick="updateThumbnail('elefant1', 'jpg')">elefant1.jpg</td></tr>
				<tr><td id="elefant2" class="button" onClick="updateThumbnail('elefant2', 'jpg')">elefant2.jpg</td></tr>
				<tr><td id="sebra" class="button" onClick="updateThumbnail('sebra', 'jpg')">sebra.jpg</td></tr>
			</table>
		</td>
		
		<td width="20px"> </td>
		
		<!-- Thumbnail and DL button -->
		<td>
			<table>
				<tr><td><img id="thumbImage" border="3" src="../Images/PictureService/thumb_chambord1.jpg"></td></tr>
				<tr><td align="center" class="button" onClick="callServer()">Last ned bildet</td></tr>
			</table>
		</td>
	</tr>
	<tr>
		<td/>
		<td/>
		<td id="downloadStatus">&nbsp;</td>
	</tr>
</table>

<%
	} else {
		out.println("Denne tjenesten er kun tilgjengelig nr ditt Media Center er tilkoblet.");
	}
%>

<%@include file="bottom.jsp" %>