<%@page import="java.util.ArrayList, digital_home.*, digital_home.db.*, digital_home.exception.*, digital_home.rmi.*, java.security.cert.*, java.util.StringTokenizer"%>

<%
	String serviceName = "pictureUpload";
%>

<%@include file="top.jsp" %>

<script language="javascript" type="text/javascript">


	/* Create a new XMLHttpRequest object to talk to the Web server */
	var xmlHttp = false;
	var fileName = "";
	var fileType = "";
	var lastSelected = "";
	
<%
	out.println("var username =\""+ username + "\";");
%>
		
	try {
	  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
	  try {
	    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e2) {
	    xmlHttp = false;
	  }
	}

	if (!xmlHttp && typeof XMLHttpRequest != 'undefined') {
	  xmlHttp = new XMLHttpRequest();
	}

		
	function callServer() {
		
		if (fileName == "") {
			document.getElementById("uploadStatus").innerHTML = "Ingen bilder var valgt, request ikke sendt.";
		} else {
			// Build the URL to connect to
	  		var url = "pictureUploadRMI.jsp?fileName=" + escape(fileName) + 
    		"&fileType=" + escape(fileType) + "&username=" + escape(username);

			// Open a connection to the server
			xmlHttp.open("GET", url, true);

			// Setup a function for the server to run when it's done
			xmlHttp.onreadystatechange = updatePage;

			// Send the request
			xmlHttp.send(null);
			
			document.getElementById("uploadStatus").innerHTML = "Anmodning om bildenedlasting er sendt. Vennligst vent.";
		}
	}
    	
    function updateSelected(name, type) {
    	fileName = name;
		fileType = type;
        	
    	if (lastSelected != "") {
    		document.getElementById(lastSelected).className = "button";
    	}
    	
    	document.getElementById("btnGet").innerHTML = "Hent " + name + "." + type;
    	document.getElementById(name).className = "button_hilite";
    	lastSelected = name;
    }

	function updatePage() {
		if (xmlHttp.readyState == 4) {
			if (xmlHttp.status == 200) {
		  		var response = trimString(xmlHttp.responseText);
		  		var array = response.split(",");
		  		
		  		if (array[0] == "true") {
		  			document.getElementById("uploadedPicture").src = "userFiles/" + username + "/" + array[1] + "." + array[2];
		  			document.getElementById("pictureURL").href = "userFiles/" + username + "/" + array[1] + "." + array[2];
		  			document.getElementById("uploadStatus").innerHTML = "Hyreklikk og velg lagre bildet fra pop-up menyen for  lagre det";
		  		} else {
		  			document.getElementById("uploadStatus").innerHTML = array[1] + "." + array[2] + " - " + array[3];
		  		}
		  	}
		}
	}
	
	function trimString(sInString) {
  		sInString = sInString.replace( /^\s+/g, "" );// strip leading
  		return sInString.replace( /\s+$/g, "" );// strip trailing
	}
</script>


<%
	//Code generating the list of picture files at the Media Center
	

	if (isOnline) {
		RMIRemoteCommon remote = new RMIRemoteCommon();
	
		try {
			ArrayList<String> fileList = remote.getFileList(username, "picture");
			
			if (fileList == null || fileList.size() == 0) {
				out.println("No files available");
			} else {
				
				out.println("<table>");
				out.println("<tr><td>");
				out.println("<div STYLE=\"overflow: auto; height: 500;\">");
				
				out.println("<table>");		
			
				for (String s: fileList) {
					StringTokenizer st = new StringTokenizer(s, ".");
					String fileName = st.nextToken();
					String fileType = st.nextToken();
					
					out.println("<tr><td id=\"" + fileName + "\" class=\"button\" onClick=\"updateSelected(\'" 
								+ fileName + "\', \'" + fileType + "\')\">" + s + "</td></tr>");
				}
				
				out.println("</table>");
			}
		} catch (FileListException fle) {
			out.println(fle.getMessage());
		}
		
%>
		</div>
		</td>
		<td width="20px"> </td>
		<td>
			<table>
				<tr><td><a id="pictureURL" target="_blank"><img id="uploadedPicture" border="3" height="350" width="467" src="images\default.gif"></a></td></tr>
				<tr><td id="btnGet" align="center" class="button" onClick="callServer()">Velg et bilde frst.</td></tr>
			</table>
		</td>
	</tr>
	<tr>
		<td />
		<td />
		<td id="uploadStatus">&nbsp;</td>
	</tr>
</table>

<%
	} else {
		out.println("Denne tjenesten er kun tilgjengelig nr ditt Media Center er tilkoblet.");
	}
	
%>


<%@include file="bottom.jsp" %>