<%@page import="java.util.ArrayList, digital_home.*, digital_home.db.*, digital_home.rmi.*, java.security.cert.*, java.util.StringTokenizer"%>

<%
	String serviceName = "scheduleRecording";
%>

<%@include file="top.jsp" %>

<script language="javascript" type="text/javascript">

	/* Create a new XMLHttpRequest object to talk to the Web server */
	var xmlHttp = false;
	var lastSelected = "btnProgram1";
	var service = "NRK1";
	var program = "Dagsrevyen";
	var isRecurring = "false";
	
<%
	out.println("var username=\""+ username + "\";");
%>
		
	try {
	  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
	  try {
	    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e2) {
	    xmlHttp = false;
	  }
	}

	if (!xmlHttp && typeof XMLHttpRequest != 'undefined') {
	  xmlHttp = new XMLHttpRequest();
	}

		
	function callServer() {

		// Build the URL to connect to
	  	var url = "scheduleRecordingRMI.jsp?program=" + escape(program) + 
    	"&service=" + escape(service) + "&isRecurring=" + escape(isRecurring) + 
    	"&username=" + escape(username);

		// Open a connection to the server
		xmlHttp.open("GET", url, true);

		// Setup a function for the server to run when it's done
		xmlHttp.onreadystatechange = updatePage;

		// Send the request
		xmlHttp.send(null);
	}
    	
    function programSelected(programId) {
    	document.getElementById("status").innerHTML = "&nbsp;";
    	
    	document.getElementById(lastSelected).className = "button_tv";
    	document.getElementById(programId).className = "button_hilite_tv";
    	lastSelected = programId;
    	
    	switch (programId)
    	{
    		case "btnProgram1":
    			service = "NRK1";
    			program = "Dagsrevyen";
    			isRecurring = "false";
    			break;
    		case "btnProgram2":
    			service = "NRK1";
    			program = "Dagsrevyen";
    			isRecurring = "true";
    			break;
    		case "btnProgram3":
    			service = "TV2 Norge";
    			program = "MacGyver";
    			isRecurring = "false";
    			break;
    	}
    }

	function updatePage() {
		if (xmlHttp.readyState == 4) {
			if (xmlHttp.status == 200) {
		  		var response = trimString(xmlHttp.responseText);
		  		var array  = response.split(",");
		  		
		  		if(array[0] == "true") { 
		  			document.getElementById("status").innerHTML = "Programmet " + array[1] + " p kanalen " + array[2] 
		  															+ " er programmert til  bli tatt opp";
		  		} else {
		  			document.getElementById("status").innerHTML = array[1];
		  		}
		  	}
		}
	}
	
	function trimString(sInString) {
  		sInString = sInString.replace( /^\s+/g, "" );// strip leading
  		return sInString.replace( /\s+$/g, "" );// strip trailing
	}
	
	
</script>

<%
	if (isOnline) {

%>


<table width="300px">
	<tr><td id="btnProgram1" class="button_hilite_tv" onClick="programSelected('btnProgram1')">NRK1 - Dagsrevyen (frstkommende)</td></tr>
	<tr><td id="btnProgram2" class="button_tv" onClick="programSelected('btnProgram2')">NRK1 - Dagsrevyen (hver dag)</td></tr>
	<tr><td id="btnProgram3" class="button_tv" onClick="programSelected('btnProgram3')">TV2 Norge - MacGyver (frstkommende)</td></tr>
	<tr><td height="20px"> </td></tr>
	<tr><td id="btnSubmit" class="button_tv" onClick="callServer()">Programmr opptak av valgt program</td></tr>
	<tr><td id="status">&nbsp;</td></tr>
</table>

<%
	} else {
		out.println("Denne tjenesten er kun tilgjengelig nr ditt Media Center er tilkoblet.");	
	}
%>

<%@include file="bottom.jsp" %>