using System;
using System.Xml;
using MediaCenter.DigitalHome;

namespace MediaCenter.DigitalHome.parser
{
	/// <summary>
	/// Summary description for TestServiceParser.
	/// </summary>
	public class TestServiceParser : XMLServiceParser
	{
		public TestServiceParser(DigitalHomeClient client) : base("TestService", client)
		{
			
		}

		public override void receiveXML(XmlElement root) 
		{
			client.log("TestService mottok melding");
			
			XmlNode body = root.FirstChild;
			client.log(body.InnerText);
		}
	}
}
