package digital_home;


/**
 * Collection of static final variables used in Network communication
 * 
 * @author Andreas W. Bjerkhaug
 * @author ystein Ellingb
 */
public abstract class NetworkVariables {
	public static final int CON_MAN_PORT = 8082;
	public static final int UPLOAD_PORT = 8083;
	public static final int DOWNLOAD_PORT = 8084;
	public static final int RMI_PORT = 8090;
	public static final String RMI_URL = "rmi://localhost:" + RMI_PORT + "/RMIReceiver";
	public static final String UPLOAD_URL ="C:\\Tomcat\\webapps\\ROOT\\digital_home\\remote\\userFiles\\";
}
